# Contributing to Discord4J
Firstly, we appreciate your interest in contributing to Discord4J!

In order to maintain the high-quality standards of the project, we have a few rules to follow when contributing.


## Issues
The issue tracker is **not** meant for support. Ask in our [Discord server](https://discord.gg/NxGAeCY) instead.

Make sure to select and follow the appropriate issue template.

## Pull Requests
### Wanted Changes
* Bug Fixes
* Feature Implementations
* Improvements to documentation

### Discouraged Changes
* Cosmetic Changes
* Large changes to the project's structure

A few things to remember when opening a pull request:
* All code submitted to Discord4J will be subject to the project's license, [GNU LGPLv3](../LICENSE.txt).
* Abide by the style requirements described below.
* Use descriptive commit messages.
* Follow the template!

If you're unsure of whether a change is welcome, feel free to ask first in our [Discord server](https://discord.gg/NxGAeCY).

### Style Requirements
* Make sure your IDE is respecting the [.editorconfig](../.editorconfig)
* This project uses space indents.
* JavaDocs should be edited appropriately for your changes.
* All new files should have the same LGPL 3 boilerplate header found in existing files.

Finally, thanks again for contributing to Discord4J. When your changes are accepted, make sure to ask about the Contributor role in our [Discord server](https://discord.gg/NxGAeCY).